Name:          mckoi
Version:       1.0.4
Release:       %mkrel 7
Group:         Development/Java
Summary:       Open Source Java SQL Database
License:       GPLv2
URL:           http://mckoi.com/database/
Source0:       http://mckoi.com/database/ver/%{name}%{version}.zip
Patch0:        %{name}-%{version}-jdk7.patch
Patch1:        %{name}-%{version}-fix_fsf-address.patch

BuildRequires: gnu-regexp
BuildRequires: java-devel
BuildRequires: javacc
BuildRequires: maven-local
BuildRequires: zip
BuildArch:     noarch

%description
Mckoi SQL Database is an Open Source SQL Database System written in Java.
The Mckoi SQL Database project was started in 1998, and the goal was to
build a database management system in a traditional shared disk/shared memory
style architecture. Mckoi SQL Database includes some nice features such as
write-ahead-logging. Many of the design ideas implemented in this project
were carried through into MckoiDDB, the evolution of this project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package demos
Summary:       Demonstrations and samples for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      gnu-regexp

%description demos
This package contains sources archive demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}%{version}
find . -name '*.jar' -delete
find . -name '*.class' -delete
find . -name '*.bat' -delete
unzip -qq src.zip
%patch0 -p0
%patch1 -p1

# contrib require org.jboss.system
# fix generics support for java 7
sed -i "s|<source>1.3</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.3</target>|<target>1.5</target>|" pom.xml

sed -i "s|../mckoidb.jar:../gnu-regexp-1.0.8.jar|../target/MckoiSQLDB-%{version}.jar:%{_javadir}/gnu-regexp.jar|" test/*.sh
chmod 755 test/*.sh

sed -i 's/\r//' README.txt LICENSE.txt docs/LICENSE.txt

cd src/main/java/com/mckoi/database/sql
rm -rf TokenMgrError.java ParseException.java Token.java SimpleCharStream.java
javacc.sh SQL.jj

%build

%mvn_file :MckoiSQLDB %{name}
%mvn_file :MckoiSQLDB MckoiSQLDB

%mvn_build

%install

mkdir -p %{buildroot}%{_datadir}/%{name}
(
  cd src/main/java
  zip ../../../%{name}-src -r com
)
cp -pr %{name}-src.zip %{buildroot}%{_datadir}/%{name}
cp -pr contrib %{buildroot}%{_datadir}/%{name}
cp -pr demo %{buildroot}%{_datadir}/%{name}
cp -pr test %{buildroot}%{_datadir}/%{name}

%mvn_install


%check
cd test
sh ./runLocalTest.sh

%files -f .mfiles
%doc LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%files demos
%{_datadir}/%{name}
%doc docs/*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-7.mga5
+ Revision: 740251
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 26 2014 dmorgan <dmorgan> 1.0.4-5.mga5
+ Revision: 626749
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-4.mga4
+ Revision: 507863
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-3.mga3
+ Revision: 359842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.0.4-2.mga3
+ Revision: 293046
- imported package mckoi


* Thu Jul 19 2012 gil cattaneo <puntogil@libero.it> 1.0.4-2
- Added demos package. 
- demos package contains also sources archive.

* Sat Jun 16 2012 gil cattaneo <puntogil@libero.it> 1.0.4-1
- initial rpm
